TimelineAuthenticationConsts (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.security.client, class: TimelineAuthenticationConsts

Package org.apache.hadoop.yarn.security.client

# Class TimelineAuthenticationConsts

java.lang.Object
org.apache.hadoop.yarn.security.client.TimelineAuthenticationConsts

@Private @Unstable public class TimelineAuthenticationConsts extends Object
The constants that are going to be used by the timeline Kerberos + delegation token authentication.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELEGATION_PARAM`
  `static final String`
  `DELEGATION_TOKEN_EXPIRATION_TIME`
  `static final String`
  `DELEGATION_TOKEN_URL`
  `static final String`
  `ERROR_CLASSNAME_JSON`
  `static final String`
  `ERROR_EXCEPTION_JSON`
  `static final String`
  `ERROR_MESSAGE_JSON`
  `static final String`
  `OP_PARAM`
  `static final String`
  `RENEWER_PARAM`
  `static final String`
  `TOKEN_PARAM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimelineAuthenticationConsts()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ERROR_EXCEPTION_JSON

    public static final String ERROR_EXCEPTION_JSON
    See Also:
      - Constant Field Values

  - ### ERROR_CLASSNAME_JSON

    public static final String ERROR_CLASSNAME_JSON
    See Also:
      - Constant Field Values

  - ### ERROR_MESSAGE_JSON

    public static final String ERROR_MESSAGE_JSON
    See Also:
      - Constant Field Values

  - ### OP_PARAM

    public static final String OP_PARAM
    See Also:
      - Constant Field Values

  - ### DELEGATION_PARAM

    public static final String DELEGATION_PARAM
    See Also:
      - Constant Field Values

  - ### TOKEN_PARAM

    public static final String TOKEN_PARAM
    See Also:
      - Constant Field Values

  - ### RENEWER_PARAM

    public static final String RENEWER_PARAM
    See Also:
      - Constant Field Values

  - ### DELEGATION_TOKEN_URL

    public static final String DELEGATION_TOKEN_URL
    See Also:
      - Constant Field Values

  - ### DELEGATION_TOKEN_EXPIRATION_TIME

    public static final String DELEGATION_TOKEN_EXPIRATION_TIME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TimelineAuthenticationConsts

    public TimelineAuthenticationConsts()